Public Attributes | List of all members
_efuse_trim0_t Struct Reference

`#include <gr55xx_efuse_layout.h>`

## Public Attributes
uint8_t | chip_uid [EFUSE_CHIP_UID_SIZE]
uint8_t | ate_version
uint8_t | reserved0 [2]
uint8_t | io_ldo_sel
uint8_t | bt_addr [EFUSE_BT_ADDR_SIZE]
uint16_t | xo_offset
uint16_t | pattern
uint16_t | trim_sum
uint16_t | hw_version
uint16_t | chip_id
uint16_t | package
uint16_t | flash_size
uint16_t | ram_size
uint8_t | reserved1 [2]
uint8_t | dcdc_vout1p05
uint8_t | dcdc_vout1p15
uint8_t | dig_ldo_0p9
uint8_t | dig_ldo_1p05
uint8_t | io_ldo_1p8
uint8_t | io_ldo_3p0
uint8_t | stb_io_ldo_1p8
uint8_t | stb_io_ldo_3p0
uint8_t | reserved2 [4]
uint8_t | tx_power
uint8_t | rssi_cali
uint8_t | lp_gain_offset_2m
uint8_t | reserved3

## Detailed Description

Definition at line 25 of file gr55xx_efuse_layout.h.

## Member Data Documentation

## ◆ ate_version

uint8_t _efuse_trim0_t::ate_version

Definition at line 28 of file gr55xx_efuse_layout.h.

## ◆ bt_addr

uint8_t _efuse_trim0_t::bt_addr[EFUSE_BT_ADDR_SIZE]

Definition at line 31 of file gr55xx_efuse_layout.h.

## ◆ chip_id

uint16_t _efuse_trim0_t::chip_id

Definition at line 36 of file gr55xx_efuse_layout.h.

## ◆ chip_uid

uint8_t _efuse_trim0_t::chip_uid[EFUSE_CHIP_UID_SIZE]

Definition at line 27 of file gr55xx_efuse_layout.h.

## ◆ dcdc_vout1p05

uint8_t _efuse_trim0_t::dcdc_vout1p05

Definition at line 41 of file gr55xx_efuse_layout.h.

## ◆ dcdc_vout1p15

uint8_t _efuse_trim0_t::dcdc_vout1p15

Definition at line 42 of file gr55xx_efuse_layout.h.

## ◆ dig_ldo_0p9

uint8_t _efuse_trim0_t::dig_ldo_0p9

Definition at line 43 of file gr55xx_efuse_layout.h.

## ◆ dig_ldo_1p05

uint8_t _efuse_trim0_t::dig_ldo_1p05

Definition at line 44 of file gr55xx_efuse_layout.h.

## ◆ flash_size

uint16_t _efuse_trim0_t::flash_size

Definition at line 38 of file gr55xx_efuse_layout.h.

## ◆ hw_version

uint16_t _efuse_trim0_t::hw_version

Definition at line 35 of file gr55xx_efuse_layout.h.

## ◆ io_ldo_1p8

uint8_t _efuse_trim0_t::io_ldo_1p8

Definition at line 45 of file gr55xx_efuse_layout.h.

## ◆ io_ldo_3p0

uint8_t _efuse_trim0_t::io_ldo_3p0

Definition at line 46 of file gr55xx_efuse_layout.h.

## ◆ io_ldo_sel

uint8_t _efuse_trim0_t::io_ldo_sel

Definition at line 30 of file gr55xx_efuse_layout.h.

## ◆ lp_gain_offset_2m

uint8_t _efuse_trim0_t::lp_gain_offset_2m

Definition at line 52 of file gr55xx_efuse_layout.h.

## ◆ package

uint16_t _efuse_trim0_t::package

Definition at line 37 of file gr55xx_efuse_layout.h.

## ◆ pattern

uint16_t _efuse_trim0_t::pattern

Definition at line 33 of file gr55xx_efuse_layout.h.

## ◆ ram_size

uint16_t _efuse_trim0_t::ram_size

Definition at line 39 of file gr55xx_efuse_layout.h.

## ◆ reserved0

uint8_t _efuse_trim0_t::reserved0[2]

Definition at line 29 of file gr55xx_efuse_layout.h.

## ◆ reserved1

uint8_t _efuse_trim0_t::reserved1[2]

Definition at line 40 of file gr55xx_efuse_layout.h.

## ◆ reserved2

uint8_t _efuse_trim0_t::reserved2[4]

Definition at line 49 of file gr55xx_efuse_layout.h.

## ◆ reserved3

uint8_t _efuse_trim0_t::reserved3

Definition at line 53 of file gr55xx_efuse_layout.h.

## ◆ rssi_cali

uint8_t _efuse_trim0_t::rssi_cali

Definition at line 51 of file gr55xx_efuse_layout.h.

## ◆ stb_io_ldo_1p8

uint8_t _efuse_trim0_t::stb_io_ldo_1p8

Definition at line 47 of file gr55xx_efuse_layout.h.

## ◆ stb_io_ldo_3p0

uint8_t _efuse_trim0_t::stb_io_ldo_3p0

Definition at line 48 of file gr55xx_efuse_layout.h.

## ◆ trim_sum

uint16_t _efuse_trim0_t::trim_sum

Definition at line 34 of file gr55xx_efuse_layout.h.

## ◆ tx_power

uint8_t _efuse_trim0_t::tx_power

Definition at line 50 of file gr55xx_efuse_layout.h.

## ◆ xo_offset

uint16_t _efuse_trim0_t::xo_offset

Definition at line 32 of file gr55xx_efuse_layout.h.

The documentation for this struct was generated from the following file:

- gr55xx_efuse_layout.h